//fb縮圖產生器
$(document).ready(function() {
    $("body").on("click", ".buttonbox", function(e) {
        //鎖住外連設定   
        cancelHandler();
        //取得影片網址
        var $url = $('#url').val();
        //取得影片狀態
        var $type = $('select[name=type]').val();
        Mthumbnails($var = thumbnail($url, $type));
        //解開外連
        $('#preventDefault').submit();
    });

    function Mthumbnails($var) {
        //取得AJAX回傳FB頁面中.img的src值
        //取得影片狀態
        var $type = $('select[name=type]').val();
        if ($type == 'y') {
            var $fbimg = $var;
        } else {
            var $fbimg = $($var).find('.img').attr("src");
        }
        //輸出到頁面 
        $('input[name=tmburl]').val($fbimg)
    }

    function thumbnail($url, $type) {
        var result = false;
        $.ajax({
            url: xoopsjsurl + '/modules/neillibrary/ajax.php',
            type: 'POST',
            data: {
                id: 135,
                var1: $url,
                var2: $type
            },
            async: false,
            success: function(response) {
                result = response;
            },
            error: function() {
                console.log('ajax error!');
            }
        })
        return result;
    }
    //鎖住外連設定   
    function cancelHandler(event) {
        var event = event || window.event; //兼容IE       
        //取消事件相關的預設行為
        if (event.preventDefault) //標準技術     
            event.preventDefault();
        if (event.returnValue) //兼容IE9之前的IE     
            event.returnValue = false;
        return false; //用於處理使用對象屬性註冊的處理程序
    }
});